"""Settings file for MPD Now Playing."""

try:
    from creds import MPD_PASSWORD  # NOQA
except ImportError:
    import sys
    print('Error: creds.py is missing.')
    sys.exit(1)


HOST = "localhost"
PORT = 6600

I2C_EXPANDER = "PCF8574"
ADDRESS = 0x27

SCROLLING_SPEED = 0.3

CUSTOM_CHARS = {
    'speaker': {
        'char': 0,
        'data': (0x02, 0x06, 0x1E, 0x1E, 0x1E, 0x06, 0x02, 0x00)
    },
    'play': {
        'char': 1,
        'data': (0x00, 0x18, 0x1E, 0x1F, 0x1E, 0x18, 0x00, 0x00)
    },
    'pause': {
        'char': 2,
        'data': (0x00, 0x1B, 0x1B, 0x1B, 0x1B, 0x1B, 0x00, 0x00)
    },
    'stop': {
        'char': 3,
        'data': (0x00, 0x1F, 0x1F, 0x1F, 0x1F, 0x1F, 0x00, 0x00)
    },
}
